Changeset 1919 for ThirdParty/FilterSQP


Ignore:
Timestamp:
Dec 19, 2010 11:24:34 AM (9 years ago)
Author:
stefan
Message:

sync with trunk rev1903

Location:
ThirdParty/FilterSQP/stable/1.1
Files:
4 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/FilterSQP/stable/1.1

  • ThirdParty/FilterSQP/stable/1.1/Makefile.in

    r1742 r1919  
    128128CDEFS = @CDEFS@
    129129CFLAGS = @CFLAGS@
     130COIN_CC_IS_CL_FALSE = @COIN_CC_IS_CL_FALSE@
     131COIN_CC_IS_CL_TRUE = @COIN_CC_IS_CL_TRUE@
    130132COIN_HAS_PKGCONFIG_FALSE = @COIN_HAS_PKGCONFIG_FALSE@
    131133COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
  • ThirdParty/FilterSQP/stable/1.1/coinfiltersqp-uninstalled.pc.in

    r1682 r1919  
    55Description: FilterSQP
    66Version: @PACKAGE_VERSION@
    7 Libs: -L${libdir} -lfiltersqp @FILTERSQP_PCLIBS@
     7Libs: ${libdir}/libfiltersqp.la @FILTERSQP_PCLIBS@
    88Cflags:
  • ThirdParty/FilterSQP/stable/1.1/configure

    r1870 r1919  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS PCADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion FILTERSQP_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 FLIBS FILTERSQP_PCLIBS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS PCADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion FILTERSQP_SVN_REV build build_cpu build_vendor build_os COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 FLIBS FILTERSQP_PCLIBS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    19381938fi
    19391939
     1940# add automake conditional so we can recognize cl compiler in makefile
     1941coin_cc_is_cl=false
     1942if test x"$CXX" != x; then
     1943  case "$CXX" in
     1944    cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     1945      coin_cc_is_cl=true
     1946      ;;
     1947  esac
     1948fi
     1949
     1950
     1951if test $coin_cc_is_cl = true; then
     1952  COIN_CC_IS_CL_TRUE=
     1953  COIN_CC_IS_CL_FALSE='#'
     1954else
     1955  COIN_CC_IS_CL_TRUE='#'
     1956  COIN_CC_IS_CL_FALSE=
     1957fi
     1958
     1959
    19401960
    19411961
     
    33663386
    33673387# Provide some information about the compiler.
    3368 echo "$as_me:3368:" \
     3388echo "$as_me:3388:" \
    33693389     "checking for Fortran 77 compiler version" >&5
    33703390ac_compiler=`set X $ac_compile; echo $2`
     
    39343954ac_save_FFLAGS=$FFLAGS
    39353955FFLAGS="$FFLAGS $ac_verb"
    3936 (eval echo $as_me:3936: \"$ac_link\") >&5
     3956(eval echo $as_me:3956: \"$ac_link\") >&5
    39373957ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    39383958echo "$ac_f77_v_output" >&5
     
    40124032ac_save_FFLAGS=$FFLAGS
    40134033FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4014 (eval echo $as_me:4014: \"$ac_link\") >&5
     4034(eval echo $as_me:4034: \"$ac_link\") >&5
    40154035ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40164036echo "$ac_f77_v_output" >&5
     
    72467266*-*-irix6*)
    72477267  # Find out which ABI we are using.
    7248   echo '#line 7248 "configure"' > conftest.$ac_ext
     7268  echo '#line 7268 "configure"' > conftest.$ac_ext
    72497269  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    72507270  (eval $ac_compile) 2>&5
     
    98329852   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    98339853   -e 's:$: $lt_compiler_flag:'`
    9834    (eval echo "\"\$as_me:9834: $lt_compile\"" >&5)
     9854   (eval echo "\"\$as_me:9854: $lt_compile\"" >&5)
    98359855   (eval "$lt_compile" 2>conftest.err)
    98369856   ac_status=$?
    98379857   cat conftest.err >&5
    9838    echo "$as_me:9838: \$? = $ac_status" >&5
     9858   echo "$as_me:9858: \$? = $ac_status" >&5
    98399859   if (exit $ac_status) && test -s "$ac_outfile"; then
    98409860     # The compiler can only warn and ignore the option if not recognized
     
    1010010120   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1010110121   -e 's:$: $lt_compiler_flag:'`
    10102    (eval echo "\"\$as_me:10102: $lt_compile\"" >&5)
     10122   (eval echo "\"\$as_me:10122: $lt_compile\"" >&5)
    1010310123   (eval "$lt_compile" 2>conftest.err)
    1010410124   ac_status=$?
    1010510125   cat conftest.err >&5
    10106    echo "$as_me:10106: \$? = $ac_status" >&5
     10126   echo "$as_me:10126: \$? = $ac_status" >&5
    1010710127   if (exit $ac_status) && test -s "$ac_outfile"; then
    1010810128     # The compiler can only warn and ignore the option if not recognized
     
    1020410224   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1020510225   -e 's:$: $lt_compiler_flag:'`
    10206    (eval echo "\"\$as_me:10206: $lt_compile\"" >&5)
     10226   (eval echo "\"\$as_me:10226: $lt_compile\"" >&5)
    1020710227   (eval "$lt_compile" 2>out/conftest.err)
    1020810228   ac_status=$?
    1020910229   cat out/conftest.err >&5
    10210    echo "$as_me:10210: \$? = $ac_status" >&5
     10230   echo "$as_me:10230: \$? = $ac_status" >&5
    1021110231   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1021210232   then
     
    1262112641  lt_status=$lt_dlunknown
    1262212642  cat > conftest.$ac_ext <<EOF
    12623 #line 12623 "configure"
     12643#line 12643 "configure"
    1262412644#include "confdefs.h"
    1262512645
     
    1272112741  lt_status=$lt_dlunknown
    1272212742  cat > conftest.$ac_ext <<EOF
    12723 #line 12723 "configure"
     12743#line 12743 "configure"
    1272412744#include "confdefs.h"
    1272512745
     
    1508115101   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1508215102   -e 's:$: $lt_compiler_flag:'`
    15083    (eval echo "\"\$as_me:15083: $lt_compile\"" >&5)
     15103   (eval echo "\"\$as_me:15103: $lt_compile\"" >&5)
    1508415104   (eval "$lt_compile" 2>conftest.err)
    1508515105   ac_status=$?
    1508615106   cat conftest.err >&5
    15087    echo "$as_me:15087: \$? = $ac_status" >&5
     15107   echo "$as_me:15107: \$? = $ac_status" >&5
    1508815108   if (exit $ac_status) && test -s "$ac_outfile"; then
    1508915109     # The compiler can only warn and ignore the option if not recognized
     
    1518515205   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1518615206   -e 's:$: $lt_compiler_flag:'`
    15187    (eval echo "\"\$as_me:15187: $lt_compile\"" >&5)
     15207   (eval echo "\"\$as_me:15207: $lt_compile\"" >&5)
    1518815208   (eval "$lt_compile" 2>out/conftest.err)
    1518915209   ac_status=$?
    1519015210   cat out/conftest.err >&5
    15191    echo "$as_me:15191: \$? = $ac_status" >&5
     15211   echo "$as_me:15211: \$? = $ac_status" >&5
    1519215212   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1519315213   then
     
    1675516775   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1675616776   -e 's:$: $lt_compiler_flag:'`
    16757    (eval echo "\"\$as_me:16757: $lt_compile\"" >&5)
     16777   (eval echo "\"\$as_me:16777: $lt_compile\"" >&5)
    1675816778   (eval "$lt_compile" 2>conftest.err)
    1675916779   ac_status=$?
    1676016780   cat conftest.err >&5
    16761    echo "$as_me:16761: \$? = $ac_status" >&5
     16781   echo "$as_me:16781: \$? = $ac_status" >&5
    1676216782   if (exit $ac_status) && test -s "$ac_outfile"; then
    1676316783     # The compiler can only warn and ignore the option if not recognized
     
    1685916879   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1686016880   -e 's:$: $lt_compiler_flag:'`
    16861    (eval echo "\"\$as_me:16861: $lt_compile\"" >&5)
     16881   (eval echo "\"\$as_me:16881: $lt_compile\"" >&5)
    1686216882   (eval "$lt_compile" 2>out/conftest.err)
    1686316883   ac_status=$?
    1686416884   cat out/conftest.err >&5
    16865    echo "$as_me:16865: \$? = $ac_status" >&5
     16885   echo "$as_me:16885: \$? = $ac_status" >&5
    1686616886   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1686716887   then
     
    1906619086   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1906719087   -e 's:$: $lt_compiler_flag:'`
    19068    (eval echo "\"\$as_me:19068: $lt_compile\"" >&5)
     19088   (eval echo "\"\$as_me:19088: $lt_compile\"" >&5)
    1906919089   (eval "$lt_compile" 2>conftest.err)
    1907019090   ac_status=$?
    1907119091   cat conftest.err >&5
    19072    echo "$as_me:19072: \$? = $ac_status" >&5
     19092   echo "$as_me:19092: \$? = $ac_status" >&5
    1907319093   if (exit $ac_status) && test -s "$ac_outfile"; then
    1907419094     # The compiler can only warn and ignore the option if not recognized
     
    1933419354   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1933519355   -e 's:$: $lt_compiler_flag:'`
    19336    (eval echo "\"\$as_me:19336: $lt_compile\"" >&5)
     19356   (eval echo "\"\$as_me:19356: $lt_compile\"" >&5)
    1933719357   (eval "$lt_compile" 2>conftest.err)
    1933819358   ac_status=$?
    1933919359   cat conftest.err >&5
    19340    echo "$as_me:19340: \$? = $ac_status" >&5
     19360   echo "$as_me:19360: \$? = $ac_status" >&5
    1934119361   if (exit $ac_status) && test -s "$ac_outfile"; then
    1934219362     # The compiler can only warn and ignore the option if not recognized
     
    1943819458   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1943919459   -e 's:$: $lt_compiler_flag:'`
    19440    (eval echo "\"\$as_me:19440: $lt_compile\"" >&5)
     19460   (eval echo "\"\$as_me:19460: $lt_compile\"" >&5)
    1944119461   (eval "$lt_compile" 2>out/conftest.err)
    1944219462   ac_status=$?
    1944319463   cat out/conftest.err >&5
    19444    echo "$as_me:19444: \$? = $ac_status" >&5
     19464   echo "$as_me:19464: \$? = $ac_status" >&5
    1944519465   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1944619466   then
     
    2255622576   { (exit 1); exit 1; }; }
    2255722577fi
     22578if test -z "${COIN_CC_IS_CL_TRUE}" && test -z "${COIN_CC_IS_CL_FALSE}"; then
     22579  { { echo "$as_me:$LINENO: error: conditional \"COIN_CC_IS_CL\" was never defined.
     22580Usually this means the macro was only invoked conditionally." >&5
     22581echo "$as_me: error: conditional \"COIN_CC_IS_CL\" was never defined.
     22582Usually this means the macro was only invoked conditionally." >&2;}
     22583   { (exit 1); exit 1; }; }
     22584fi
    2255822585if test -z "${COIN_HAS_PKGCONFIG_TRUE}" && test -z "${COIN_HAS_PKGCONFIG_FALSE}"; then
    2255922586  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_PKGCONFIG\" was never defined.
     
    2316423191s,@build_vendor@,$build_vendor,;t t
    2316523192s,@build_os@,$build_os,;t t
     23193s,@COIN_CC_IS_CL_TRUE@,$COIN_CC_IS_CL_TRUE,;t t
     23194s,@COIN_CC_IS_CL_FALSE@,$COIN_CC_IS_CL_FALSE,;t t
    2316623195s,@CDEFS@,$CDEFS,;t t
    2316723196s,@ADD_CFLAGS@,$ADD_CFLAGS,;t t
Note: See TracChangeset for help on using the changeset viewer.